%{?nodejs_find_provides_and_requires}

%global packagename braces
%global enable_tests 1

Name:		nodejs-braces
Version:	1.8.5
Release:	1%{?dist}
Summary:	Fastest brace expansion for node.js

License:	MIT
URL:		https://github.com/jonschlinkert/braces.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(expand-range)
BuildRequires:	npm(preserve)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(should)
%endif

%description
Fastest brace expansion for node.js, with the most complete support for the
Bash 4.3 braces specification.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Sat Jun 18 2016 Jared Smith <jsmith@fedoraproject.org> - 1.8.5-1
- Update to upstream 1.8.5 release

* Thu Feb  4 2016 Jared Smith <jsmith@fedoraproject.org> - 1.8.3-1
- Initial packaging
